# VariantComponentSpec

API Documentation: | `VariantComponentSpec`

Known Subtypes: |
`PlatformAwareComponentSpec`

Note: This class is incubating and may change in a future version of Gradle.

Represents a component spec that is made up of one or more mutually exclusive variants.

### Properties

Property | Description
`binaries` | Incubating The variants produced for this component spec.
`displayName` | Incubating Returns a human-consumable display name for this element.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### ``ModelMap`<`BinarySpec`>` `binaries` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

The variants produced for this component spec.

#### `String` `displayName` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

Returns a human-consumable display name for this element.